﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.MetaOptimization {
  [StorableClass]
  public class NullValue : ValueTypeValue<int> {

    public NullValue() { }
    [StorableConstructor]
    protected NullValue(bool deserializing) : base(deserializing) { }
    protected NullValue(NullValue original, Cloner cloner)
      : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new NullValue(this, cloner);
    }
  }
}
